#
# spec file for package flac (Version 1.2.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libogg libogg-devel libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux zlib

Name:           flac
BuildRequires:  gcc-c++ libogg-devel pkg-config
Summary:        Free Lossless Audio Codec
Version:        1.2.0
Release:        13.2
License:        GPL v2 or later
Group:          Productivity/Multimedia/Sound/Utilities
Source:         %{name}-%{version}.tar.bz2
Patch:          flac-no-xmms.diff
Patch1:         flac-printf-format-fix.diff
Patch2:         flac-bufferoverflow-fix.diff
Url:            http://flac.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FLAC is an open source lossless audio codec developed by Josh Coalson.



Authors:
--------
    Josh Coalson

%debug_package
%package -n libFLAC8
Summary:        Free Lossless Audio Codec Library
License:        BSD 3-Clause
Group:          System/Libraries
Obsoletes:      libflac <= %{version}
Provides:       libflac = %{version}

%description -n libFLAC8
This package contains the library for FLAC (Free Lossless Audio Codec)
developed by Josh Coalson.



Authors:
--------
    Josh Coalson

%package -n libFLAC++6
Summary:        Free Lossless Audio Codec Library
License:        BSD 3-Clause
Group:          System/Libraries

%description -n libFLAC++6
This package contains the C++ library for FLAC (Free Lossless Audio
Codec) developed by Josh Coalson.



Authors:
--------
    Josh Coalson

%package devel
Summary:        FLAC Library Development Package
License:        BSD 3-Clause
Group:          Development/Libraries/C and C++
Requires:       libFLAC8 = %{version}, libFLAC++6 = %{version}, glibc-devel, libstdc++-devel, libogg-devel

%description devel
This package contains the files needed to compile programs that use the
FLAC library.



Authors:
--------
    Josh Coalson

%prep
%setup
%patch
%patch1
%patch2
%{?suse_update_config:%{suse_update_config -f}}

%build
autoreconf --force --install
%define warn_flags -W -Wall -Wstrict-prototypes -Wformat-security
export CFLAGS="$RPM_OPT_FLAGS %{warn_flags} -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
%configure \
    --disable-xmms-plugin
make %{?jobs:-j %jobs}

%install
%makeinstall
# documents
mkdir -p $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -a AUTHORS README COPYING.* $RPM_BUILD_ROOT%{_docdir}/%{name}

%post -n libFLAC8
%run_ldconfig

%postun -n libFLAC8
%run_ldconfig

%post -n libFLAC++6
%run_ldconfig

%postun -n libFLAC++6
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_mandir}/man*/*

%files -n libFLAC8
%defattr(-, root, root)
%{_libdir}/libFLAC.so.*

%files -n libFLAC++6
%defattr(-, root, root)
%{_libdir}/libFLAC++.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%changelog
* Tue Oct 16 2007 - tiwai@suse.de
- VUL-0: flac integer overflows (#333278)
* Wed Jul 25 2007 - tiwai@suse.de
- updated to version 1.2.0:
  * small encoding speedups
  * runtime SSE OS support
  * fixed bug with invalid seek tables
  * added FLAC__format_sample_rate_is_subset(),
  FLAC::Decoder::Stream::get_decoder_position()
- clean up spec file
* Fri Jun 08 2007 - tiwai@suse.de
- add provides and obsolets for libflac.
* Tue Jun 05 2007 - tiwai@suse.de
- split to packages libFLAC8 and libFLAC++6 to follow more the
  library packaging policy.
* Tue Apr 10 2007 - tiwai@suse.de
- fix post and postun for libflac.
- fix compile warnings
* Wed Apr 04 2007 - tiwai@suse.de
- updated to version 1.1.4:
  * improved compression with no change to format or decrease
  in speed.
  * encoding and decoding speedups for all modes. Encoding at
    -8 is twice as fast.
  * large format support.
  * supports FLAC and Ogg FLAC as input encoder.
  * misc bug fixes
- split library to libflac sub-package to reduce package
  dependencies.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 07 2005 - tiwai@suse.de
- fix Requires of devel subpackage.
* Wed May 25 2005 - tiwai@suse.de
- updated to version 1.1.2.
* Fri Feb 25 2005 - tiwai@suse.de
- split flac-xmms and flac-bmp plugins to another spec file
  to avoid too deep dependencies.
* Fri Jan 28 2005 - tiwai@suse.de
- fix many compile warnings
- add BMP plugin support
* Fri Jan 21 2005 - tiwai@suse.de
- updated to version 1.1.1.
* Tue Aug 24 2004 - tiwai@suse.de
- fixed neededforbuild for xmms.
* Tue Apr 27 2004 - ro@suse.de
- add -fno-strict-aliasing
* Wed Jan 21 2004 - tiwai@suse.de
- fixed quoting in m4 files.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig to %%postun
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Apr 01 2003 - ro@suse.de
- added xmms-devel to neededforbuild
* Thu Feb 13 2003 - tiwai@suse.de
- fixed the installation path of xmms plugin.
- added la file for plugin.
* Mon Jan 27 2003 - tiwai@suse.de
- updated to version 1.1.0.
* Wed Nov 27 2002 - tiwai@suse.de
- added the compatible layer for version 1.0.3 (flac-compat.dif).
* Mon Nov 25 2002 - tiwai@suse.de
- updated to version 1.0.4.
- fixed neeededforbuild: xf86 -> x-devel-packages.
- added id3lib to neededforbuild.
- regenrated prototype patches.  renamed the patch to avoid
  name confliction.
* Tue Sep 17 2002 - pthomas@suse.de
- Add -lsdc++ to LIBADD in src/libFLAC++/Makefile.am to work
  around a bug in libtool 1.4.2.
- Properly use (void) not () in prototypes.
- Omit -I/usr/include from LIBFLAC_CFLAGS in libFLAC.m4 as
  it's searched by default.
- Omit -L/usr/lib from LIBFLAC_LIBS in libFLAC.m4
* Mon Jul 29 2002 - tiwai@suse.de
- added %%run_ldconfig.
* Fri Jul 05 2002 - tiwai@suse.de
- updated to version 1.0.3.
* Mon Jun 24 2002 - tiwai@suse.de
- fixed file permission of xmms plugins.
* Tue May 21 2002 - tiwai@suse.de
- added missing *.so to the filelist.
* Tue May 21 2002 - tiwai@suse.de
- initial version: 1.0.2.
